

onEvent('recipes', e => {

  e.shaped('masterfulmachinery:elvenmachine_controller', [
    '131',
    '121',
    '141'
  ], {
    1: 'botania:glimmering_dreamwood', 2: 'botania:life_essence', 3: 'botania:lens_flare', 4: 'botania:lens_paint'
  })

  e.shaped('masterfulmachinery:elvenmachine_elvenitem_port_items_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'botania:glimmering_dreamwood', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:elvenmachine_elvenitem_port_items_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'botania:glimmering_dreamwood', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:elvenmachine_elventank_port_fluids_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'botania:glimmering_dreamwood', 2: 'minecraft:bucket'
  })

  e.shaped('masterfulmachinery:elvenmachine_elventank_port_fluids_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'botania:glimmering_dreamwood', 2: 'minecraft:bucket'
  })

  e.shaped('masterfulmachinery:elvenmachine_elvenabsorber_port_botania_mana_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'botania:glimmering_dreamwood', 2: 'botania:mana_pool'
  })

  e.shaped('masterfulmachinery:elvenmachine_elvenabsorber_port_botania_mana_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'botania:glimmering_dreamwood', 2: 'botania:mana_pool'
  })

  e.shaped('masterfulmachinery:simplemachine_simplebank_port_energy_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'pneumaticcraft:compressed_iron_block', 2: 'immersiveengineering:coil_lv'
  })

  e.shaped('masterfulmachinery:simplemachine_simplebank_port_energy_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'pneumaticcraft:compressed_iron_block', 2: 'immersiveengineering:coil_lv'
  })

  e.shaped('masterfulmachinery:simplemachine_simpleitem_port_items_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'pneumaticcraft:compressed_iron_block', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:simplemachine_simpleitem_port_items_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'pneumaticcraft:compressed_iron_block', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:simplemachine_simpletank_port_fluids_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'pneumaticcraft:compressed_iron_block', 2: 'pneumaticcraft:small_tank'
  })

  e.shaped('masterfulmachinery:simplemachine_simpletank_port_fluids_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'pneumaticcraft:compressed_iron_block', 2: 'pneumaticcraft:small_tank'
  })

  e.shaped('masterfulmachinery:simplemachine_simpleair_port_pncr_pressure_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'pneumaticcraft:compressed_iron_block', 2: 'pneumaticcraft:air_canister'
  })

  e.shaped('masterfulmachinery:simplemachine_simpleair_port_pncr_pressure_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'pneumaticcraft:compressed_iron_block', 2: 'pneumaticcraft:air_canister'
  })

  e.shaped('masterfulmachinery:basicmachine_basicitem_port_items_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'minecraft:bricks', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:basicmachine_basicitem_port_items_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'minecraft:bricks', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:basicmachine_basictank_port_fluids_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'minecraft:bricks', 2: 'minecraft:bucket'
  })

  e.shaped('masterfulmachinery:basicmachine_basictank_port_fluids_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'minecraft:bricks', 2: 'minecraft:bucket'
  })

  e.shaped('masterfulmachinery:advancedmachine_advbank_port_energy_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'immersiveengineering:capacitor_hv'
  })

  e.shaped('masterfulmachinery:advancedmachine_advbank_port_energy_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'immersiveengineering:capacitor_hv'
  })

  e.shaped('masterfulmachinery:advancedmachine_advancedair_port_pncr_pressure_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'pneumaticcraft:reinforced_air_canister'
  })

  e.shaped('masterfulmachinery:advancedmachine_advancedair_port_pncr_pressure_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'pneumaticcraft:reinforced_air_canister'
  })

  e.shaped('masterfulmachinery:advancedmachine_advitem_port_items_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:advancedmachine_advitem_port_items_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:advancedmachine_advtank_port_fluids_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'immersiveengineering:metal_barrel'
  })

  e.shaped('masterfulmachinery:advancedmachine_advtank_port_fluids_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'immersiveengineering:metal_barrel'
  })

  e.shaped('masterfulmachinery:thermalmachine_thermalitem_port_items_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:tme', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:thermalmachine_thermalitem_port_items_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'kubejs:tme', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:thermalmachine_thermaltank_port_fluids_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:tme', 2: 'immersiveengineering:metal_barrel'
  })

  e.shaped('masterfulmachinery:thermalmachine_thermaltank_port_fluids_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'kubejs:tme', 2: 'immersiveengineering:metal_barrel'
  })

  e.shaped('masterfulmachinery:thermalmachine_thermalbank_port_energy_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:tme', 2: 'immersiveengineering:capacitor_hv'
  })

  e.shaped('masterfulmachinery:thermalmachine_thermalbank_port_energy_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'kubejs:tme', 2: 'immersiveengineering:capacitor_hv'
  })





  e.shaped('masterfulmachinery:rthermalmachine_rthermalitem_port_items_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:rtme', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:rthermalmachine_rthermalitem_port_items_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'kubejs:rtme', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:rthermalmachine_rthermaltank_port_fluids_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:rtme', 2: 'immersiveengineering:metal_barrel'
  })

  e.shaped('masterfulmachinery:rthermalmachine_rthermalbank_port_energy_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:rtme', 2: 'immersiveengineering:capacitor_hv'
  })

  e.shaped('masterfulmachinery:rthermalmachine_rthermalbank_port_energy_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'kubejs:rtme', 2: 'immersiveengineering:capacitor_hv'
  })

  e.shaped('masterfulmachinery:memachine_meitem_port_items_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:mb', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:memachine_meitem_port_items_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'kubejs:mb', 2: 'minecraft:chest'
  })

  e.shaped('masterfulmachinery:memachine_metank_port_fluids_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:mb', 2: 'minecraft:bucket'
  })

  e.shaped('masterfulmachinery:memachine_metank_port_fluids_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'kubejs:mb', 2: 'minecraft:bucket'
  })

  e.shaped('masterfulmachinery:memachine_mebank_port_energy_input', [
    ' 2 ',
    ' 1 ',
    '   '
  ], {
    1: 'kubejs:mb', 2: 'appliedenergistics2:dense_energy_cell'
  })

  e.shaped('masterfulmachinery:memachine_mebank_port_energy_output', [
    '   ',
    ' 1 ',
    ' 2 '
  ], {
    1: 'kubejs:mb', 2: 'appliedenergistics2:dense_energy_cell'
  })

})